import request from '@/utils/request'

// 查询保养任务明细列表
export function listTaskItem(query) {
	return request({
		url: '/tpm/maintain/taskItem/list',
		method: 'get',
		params: query
	})
}

// 查询保养任务明细详细
export function getTaskItem(id) {
	return request({
		url: '/tpm/maintain/taskItem/' + id,
		method: 'get'
	})
}

// 新增保养任务明细
export function addTaskItem(data) {
	return request({
		url: '/tpm/maintain/taskItem',
		method: 'post',
		data: data
	})
}

// 修改保养任务明细
export function updateTaskItem(data) {
	return request({
		url: '/tpm/maintain/taskItem',
		method: 'put',
		data: data
	})
}

// 删除保养任务明细
export function delTaskItem(id) {
	return request({
		url: '/tpm/maintain/taskItem/' + id,
		method: 'delete'
	})
}

// 完成任务明细
export function finishMaintainTaskItem(ids) {
	return request({
		url: '/tpm/maintain/taskItem/finish',
		method: 'post',
		data: ids
	})
}